View Issue Details

IDProjectCategoryView StatusLast Update
0000526OpenFOAM[All Projects] Bugpublic2015-02-10 09:09
Reporteruser331Assigned Touser4 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionno change required 
PlatformLinuxOSOpenSUSEOS Version11.4
Product Version 
Fixed in Version 
Summary0000526: creating a faceZone with topoSet from a faceSet and cellSet results in unordered faces in the cellSet
DescriptionUsing topoSet to create a faceZone from a faceSet and cellSet gives an unordered list of faces. For consistency with other utilities I believe it would be beneficial to have them orderes, like in the faceSet, unless there is a reason why the faceZone is in the order given.
Steps To ReproduceDownload and unpack the attached case file and run ./AllSetup
Compare the order of the faceList in constant/polyMesh/faceZones and in faceZones.replace
Additional InformationIt seems odd that the faceSet is ordered and the faceZone is not, when it really should just copy them over. Running renumberMeshes fixes this, but it shouldn't be required.
TagsNo tags attached.

Activities

user331

2012-05-01 23:48

 

TJunctionOpenFirst.tar.gz (6,827 bytes)

user4

2015-02-02 20:38

  ~0003656

The sets (faceSet, cellSet, pointSet) are unordered (potentially overlapping) collections. The zones (faceZones, cellZones, pointZones) get created (by topoSet at least) with ordered faces.

If you want to compare the both use e.g. a .sortedToc() on the set.

Issue History

Date Modified Username Field Change
2012-05-01 23:48 user331 New Issue
2012-05-01 23:48 user331 File Added: TJunctionOpenFirst.tar.gz
2015-02-02 20:38 user4 Note Added: 0003656
2015-02-02 20:38 user4 Status new => resolved
2015-02-02 20:38 user4 Fixed in Version => Other
2015-02-02 20:38 user4 Resolution open => no change required
2015-02-02 20:38 user4 Assigned To => user4